Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class AbstractJSVGComponent.BridgeUserAgentWrapper

    java.lang.Object
      org.apache.batik.swing.svg.AbstractJSVGComponent.BridgeUserAgentWrapper

All Implemented Interfaces:
  UserAgent

Enclosing class:
  AbstractJSVGComponent

    protected static class AbstractJSVGComponent.BridgeUserAgentWrapper

extends Object
implements UserAgent

The user-agent wrapper, which call the methods in the event thread.

Field Summary
`protected UserAgent` | `userAgent` The wrapped user agent.

Constructor Summary
`AbstractJSVGComponent.BridgeUserAgentWrapper(UserAgent ua)` Creates a new BridgeUserAgentWrapper.

Method Summary
`void` | `checkLoadExternalResource(ParsedURL resourceURL, ParsedURL docURL)` This method throws a SecurityException if the resource found at url and referenced from docURL should not be loaded.
`void` | `checkLoadScript(String scriptType, ParsedURL scriptPURL, ParsedURL docPURL)` This method throws a SecurityException if the script of given type, found at url and referenced from docURL should not be loaded.
`void` | `deselectAll()` Informs the user agent that the text should be deselected.
`void` | `displayError(Exception ex)` Displays an error resulting from the specified Exception.
`void` | `displayMessage(String message)` Displays a message in the User Agent interface.
`String` | `getAlternateStyleSheet()` Returns this user agent's alternate style-sheet title.
`float` | `getBolderFontWeight(float f)` Returns a bolder font-weight.
`org.w3c.dom.svg.SVGDocument` | `getBrokenLinkDocument(Element e, String url, String msg)` This Implementation simply forwards the request to the AWT thread.
`Point` | `getClientAreaLocationOnScreen()` Returns the location on the screen of the client area in the UserAgent.
`String` | `getDefaultFontFamily()` Returns the default font family.
`EventDispatcher` | `getEventDispatcher()` Returns the event dispatcher to use.
`ExternalResourceSecurity` | `getExternalResourceSecurity(ParsedURL resourcePURL, ParsedURL docPURL)` Returns the security settings for the given resource url and document url
`String` | `getLanguages()` Returns the language settings.
`float` | `getLighterFontWeight(float f)` Returns a lighter font-weight.
`String` | `getMedia()` Returns this user agent's CSS media.
`float` | `getMediumFontSize()` Returns the medium font size.
`float` | `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`ScriptSecurity` | `getScriptSecurity(String scriptType, ParsedURL scriptPURL, ParsedURL docPURL)` Returns the security settings for the given script type, script url and document url
`AffineTransform` | `getTransform()` Returns the `AffineTransform` currently applied to the drawing by the UserAgent.
`String` | `getUserStyleSheetURI()` Returns the user stylesheet uri.
`Dimension2D` | `getViewportSize()` Returns the default size of the viewport.
`String` | `getXMLParserClassName()` Returns the class name of the XML parser.
`void` | `handleElement(Element elt, Object data)` Notifies the UserAgent that the input element has been found in the document.
`boolean` | `hasFeature(String s)` Tells whether the given feature is supported by this user agent.
`protected void` | `invokeAndWait(Runnable r)` Invokes the given runnable from the event thread, and wait for the run method to terminate.
`boolean` | `isXMLParserValidating()` Returns true if the XML parser must be in validation mode, false otherwise.
`void` | `openLink(org.w3c.dom.svg.SVGAElement elt)` Opens a link.
`void` | `registerExtension(BridgeExtension ext)` Lets the bridge tell the user agent that the following extension is supported by the bridge.
`void` | `setSVGCursor(Cursor cursor)` Informs the user agent to change the cursor.
`void` | `setTextSelection(Mark start, Mark end)` Informs the user agent that the text selection should be changed.
`void` | `setTransform(AffineTransform at)` Sets the `AffineTransform` to be applied to the drawing by the UserAgent.
`void` | `showAlert(String message)` Shows an alert dialog box.
`boolean` | `showConfirm(String message)` Shows a confirm dialog box.
`String` | `showPrompt(String message)` Shows a prompt dialog box.
`String` | `showPrompt(String message, String defaultValue)` Shows a prompt dialog box.
`boolean` | `supportExtension(String s)` Tells whether the given extension is supported by this user agent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userAgent

    protected UserAgent userAgent

  The wrapped user agent.

Constructor Detail

### AbstractJSVGComponent.BridgeUserAgentWrapper

    public AbstractJSVGComponent.BridgeUserAgentWrapper(UserAgent ua)

  Creates a new BridgeUserAgentWrapper.

Method Detail

### getEventDispatcher

    public EventDispatcher getEventDispatcher()

  Returns the event dispatcher to use.

  Specified by:
    `getEventDispatcher` in interface `UserAgent`

### getViewportSize

    public Dimension2D getViewportSize()

  Returns the default size of the viewport.

  Specified by:
    `getViewportSize` in interface `UserAgent`

### displayError

    public void displayError(Exception ex)

  Displays an error resulting from the specified Exception.

  Specified by:
    `displayError` in interface `UserAgent`

### displayMessage

    public void displayMessage(String message)

  Displays a message in the User Agent interface.

  Specified by:
    `displayMessage` in interface `UserAgent`

### showAlert

    public void showAlert(String message)

  Shows an alert dialog box.

  Specified by:
    `showAlert` in interface `UserAgent`

### showPrompt

    public String showPrompt(String message)

  Shows a prompt dialog box.

  Specified by:
    `showPrompt` in interface `UserAgent`

### showPrompt

    public String showPrompt(String message,
                             String defaultValue)

  Shows a prompt dialog box.

  Specified by:
    `showPrompt` in interface `UserAgent`

### showConfirm

    public boolean showConfirm(String message)

  Shows a confirm dialog box.

  Specified by:
    `showConfirm` in interface `UserAgent`

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

  Specified by:
    `getPixelUnitToMillimeter` in interface `UserAgent`

### getPixelToMM

    public float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  Specified by:
    `getPixelToMM` in interface `UserAgent`
  See Also:
    `getPixelUnitToMillimeter()`

### getDefaultFontFamily

    public String getDefaultFontFamily()

  Returns the default font family.

  Specified by:
    `getDefaultFontFamily` in interface `UserAgent`

### getMediumFontSize

    public float getMediumFontSize()

  Description copied from interface: `UserAgent`
  Returns the medium font size.

  Specified by:
    `getMediumFontSize` in interface `UserAgent`

### getLighterFontWeight

    public float getLighterFontWeight(float f)

  Description copied from interface: `UserAgent`
  Returns a lighter font-weight.

  Specified by:
    `getLighterFontWeight` in interface `UserAgent`

### getBolderFontWeight

    public float getBolderFontWeight(float f)

  Description copied from interface: `UserAgent`
  Returns a bolder font-weight.

  Specified by:
    `getBolderFontWeight` in interface `UserAgent`

### getLanguages

    public String getLanguages()

  Returns the language settings.

  Specified by:
    `getLanguages` in interface `UserAgent`

### getUserStyleSheetURI

    public String getUserStyleSheetURI()

  Returns the user stylesheet uri.

  Specified by:
    `getUserStyleSheetURI` in interface `UserAgent`
  Returns:
    null if no user style sheet was specified.

### openLink

    public void openLink(org.w3c.dom.svg.SVGAElement elt)

  Opens a link.

  Specified by:
    `openLink` in interface `UserAgent`
  Parameters:
    `elt` - The activated link element.

### setSVGCursor

    public void setSVGCursor(Cursor cursor)

  Informs the user agent to change the cursor.

  Specified by:
    `setSVGCursor` in interface `UserAgent`
  Parameters:
    `cursor` - the new cursor

### setTextSelection

    public void setTextSelection(Mark start,
                                 Mark end)

  Informs the user agent that the text selection should be changed.

  Specified by:
    `setTextSelection` in interface `UserAgent`
  Parameters:
    `start` - The Mark for the start of the selection.
    `end` - The Mark for the end of the selection.

### deselectAll

    public void deselectAll()

  Informs the user agent that the text should be deselected.

  Specified by:
    `deselectAll` in interface `UserAgent`

### getXMLParserClassName

    public String getXMLParserClassName()

  Returns the class name of the XML parser.

  Specified by:
    `getXMLParserClassName` in interface `UserAgent`

### isXMLParserValidating

    public boolean isXMLParserValidating()

  Returns true if the XML parser must be in validation mode, false otherwise.

  Specified by:
    `isXMLParserValidating` in interface `UserAgent`

### getTransform

    public AffineTransform getTransform()

  Returns the `AffineTransform` currently applied to the drawing by the UserAgent.

  Specified by:
    `getTransform` in interface `UserAgent`

### setTransform

    public void setTransform(AffineTransform at)

  Sets the `AffineTransform` to be applied to the drawing by the UserAgent.

  Specified by:
    `setTransform` in interface `UserAgent`

### getMedia

    public String getMedia()

  Returns this user agent's CSS media.

  Specified by:
    `getMedia` in interface `UserAgent`

### getAlternateStyleSheet

    public String getAlternateStyleSheet()

  Returns this user agent's alternate style-sheet title.

  Specified by:
    `getAlternateStyleSheet` in interface `UserAgent`

### getClientAreaLocationOnScreen

    public Point getClientAreaLocationOnScreen()

  Returns the location on the screen of the client area in the UserAgent.

  Specified by:
    `getClientAreaLocationOnScreen` in interface `UserAgent`

### hasFeature

    public boolean hasFeature(String s)

  Tells whether the given feature is supported by this user agent.

  Specified by:
    `hasFeature` in interface `UserAgent`

### supportExtension

    public boolean supportExtension(String s)

  Tells whether the given extension is supported by this user agent.

  Specified by:
    `supportExtension` in interface `UserAgent`

### registerExtension

    public void registerExtension(BridgeExtension ext)

  Lets the bridge tell the user agent that the following extension is supported by the bridge.

  Specified by:
    `registerExtension` in interface `UserAgent`

### handleElement

    public void handleElement(Element elt,
                              Object data)

  Notifies the UserAgent that the input element has been found in the document. This is sometimes called, for example, to handle <a> or <title> elements in a UserAgent-dependant way.

  Specified by:
    `handleElement` in interface `UserAgent`

### getScriptSecurity

    public ScriptSecurity getScriptSecurity(String scriptType,
                                            ParsedURL scriptPURL,
                                            ParsedURL docPURL)

  Returns the security settings for the given script type, script url and document url

  Specified by:
    `getScriptSecurity` in interface `UserAgent`
  Parameters:
    `scriptType` - type of script, as found in the type attribute of the <script> element.
    `scriptPURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docPURL` - url for the document into which the script was found.

### checkLoadScript

    public void checkLoadScript(String scriptType,
                                ParsedURL scriptPURL,
                                ParsedURL docPURL)
                         throws SecurityException

  This method throws a SecurityException if the script of given type, found at url and referenced from docURL should not be loaded. This is a convenience method to call checkLoadScript on the ScriptSecurity strategy returned by getScriptSecurity.

  Specified by:
    `checkLoadScript` in interface `UserAgent`
  Parameters:
    `scriptType` - type of script, as found in the type attribute of the <script> element.
    `scriptPURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docPURL` - url for the document into which the script was found.
  Throws:
    `SecurityException`

### getExternalResourceSecurity

    public ExternalResourceSecurity getExternalResourceSecurity(ParsedURL resourcePURL,
                                                                ParsedURL docPURL)

  Returns the security settings for the given resource url and document url

  Specified by:
    `getExternalResourceSecurity` in interface `UserAgent`
  Parameters:
    `resourcePURL` - url for the resource, as defined in the resource's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docPURL` - url for the document into which the resource was found.

### checkLoadExternalResource

    public void checkLoadExternalResource(ParsedURL resourceURL,
                                          ParsedURL docURL)
                                   throws SecurityException

  This method throws a SecurityException if the resource found at url and referenced from docURL should not be loaded. This is a convenience method to call checkLoadExternalResource on the ExternalResourceSecurity strategy returned by getExternalResourceSecurity.

  Specified by:
    `checkLoadExternalResource` in interface `UserAgent`
  Parameters:
    `resourceURL` - url for the resource, as defined in the resource's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the resource was found.
  Throws:
    `SecurityException`

### getBrokenLinkDocument

    public org.w3c.dom.svg.SVGDocument getBrokenLinkDocument(Element e,
                                                             String url,
                                                             String msg)

  This Implementation simply forwards the request to the AWT thread.

  Specified by:
    `getBrokenLinkDocument` in interface `UserAgent`
  Parameters:
    `e` - The element that can't be loaded.
    `url` - The resolved url that can't be loaded.
    `msg` - As best as can be determined the reason it can't be loaded (not available, corrupt, unknown format,...).

### invokeAndWait

    protected void invokeAndWait(Runnable r)

  Invokes the given runnable from the event thread, and wait for the run method to terminate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.